import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { SelectableCardContainerComponent } from '../../selectableCardContainer';
export declare class SelectionComponent<T> implements OnInit {
    pagingEnabled: boolean;
    cardContainer: SelectableCardContainerComponent<T>;
    constructor(cardContainer: SelectableCardContainerComponent<T>);
    readonly selectedItems$: Observable<number>;
    ngOnInit(): void;
    selectPage(): void;
    selectAll(): void;
    clearPage(): void;
    clearAll(): void;
}
